import { Segment } from "./segment";
import * as HLS from "hls-parser";
export declare enum ChunklistPruneType {
    "noPrune" = 0,
    "pruneStart" = 1,
    "pruneEnd" = 2,
    "pruneStartAndEnd" = 3,
    "preview" = 4
}
export declare class Chunklist {
    protected _url: string | null;
    protected _m3u8: HLS.types.MediaPlaylist;
    protected _segments: Segment[];
    protected _totalDuration: number;
    protected _baseUrl: string;
    protected _pruneType: ChunklistPruneType;
    protected _maxDuration: number;
    get m3u8(): HLS.types.MediaPlaylist;
    get segments(): Segment[];
    get url(): string | null;
    get pruneType(): ChunklistPruneType;
    get maxDuration(): number;
    get baseUrl(): string;
    protected constructor(body: string);
    static loadFromString(body: string): Chunklist;
    static loadFromUrl(url: string): Promise<Chunklist>;
    setPruneType(pruneType: ChunklistPruneType): Chunklist;
    setMaxDuration(maxDuration: number): Chunklist;
    setBaseUrl(baseUrl: string): Chunklist;
    toString(): string;
    getPrunedSegments(): Segment[];
    protected getPreviewSegments(): Segment[];
}
