import { Playlist } from "./playlist";
import { StreamInfo } from "./stream-info";
import { AudioTrack } from "./audio-track";
import * as HLS from "hls-parser";
export declare enum RenditionType {
    "video" = 0,
    "audio" = 1,
    "iframe" = 2
}
export declare class Rendition {
    protected _variant: HLS.types.Variant;
    protected _streamInfo: StreamInfo;
    protected _playlist: Playlist;
    get variant(): HLS.types.Variant;
    get playlist(): Playlist;
    get streamInfo(): StreamInfo;
    get audioTracks(): AudioTrack[];
    get type(): RenditionType;
    get height(): number;
    get frameRate(): number;
    get bandwidth(): number;
    get averageBandwidth(): number;
    get defaultAudioTrack(): AudioTrack | null;
    get uri(): string;
    get absoluteUri(): string;
    constructor(playlist: Playlist, variant: HLS.types.Variant);
    isResolutionBetween(range: [number, number]): boolean;
    isFrameRateBetween(range: [number, number]): boolean;
    isBandwidthBetween(range: [number, number]): boolean;
    toString(): string;
}
