"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const segment_info_1 = require("./segment-info");
class Segment {
    constructor(chunklist, segment) {
        this._segment = segment;
        this._segmentInfo = new segment_info_1.SegmentInfo(chunklist, segment);
        this._chunklist = chunklist;
    }
    get segment() {
        return this._segment;
    }
    getMediaSequenceNumber() {
        return this._segment.mediaSequenceNumber;
    }
    getDuration() {
        return this._segment.duration;
    }
    cloneWithDiscontinuity(discontinuity) {
        const segment = JSON.parse(JSON.stringify(this._segment));
        segment.discontinuity = discontinuity;
        return new Segment(this._chunklist, segment);
    }
    toString() {
        let out = "";
        out += this._segmentInfo.toString();
        out += this._chunklist.baseUrl + this._segment.uri + "\n";
        return out;
    }
}
exports.Segment = Segment;
