import { Playlist } from "./playlist";
import { StreamInfo } from "./stream-info";
import { AudioTrack } from "./audio-track";
import * as HLS from "hls-parser";
export declare enum RenditionType {
    "video" = 0,
    "audio" = 1,
    "iframe" = 2
}
export declare class Rendition {
    protected variant: HLS.types.Variant;
    protected streamInfo: StreamInfo;
    protected playlist: Playlist;
    constructor(playlist: Playlist, variant: HLS.types.Variant);
    getTracks(): AudioTrack[];
    getType(): RenditionType;
    getHeight(): number;
    getFrameRate(): number;
    getBandwidth(): number;
    getAverageBandwidth(): number;
    getUri(): string;
    isResolutionBetween(range: [number, number]): boolean;
    isFrameRateBetween(range: [number, number]): boolean;
    isBandwidthBetween(range: [number, number]): boolean;
    toString(): string;
}
