"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SegmentInfo {
    constructor(chunklist, segment) {
        this.chunklist = chunklist;
        this.segment = segment;
    }
    propertiesToCommaSeparated(properties) {
        let out = "";
        for (let i = 0; i < properties.length; i++) {
            if (i > 0) {
                out += ",";
            }
            out += properties[i].join("=");
        }
        return out;
    }
    toString() {
        let out = "";
        let duration;
        if (this.segment.programDateTime) {
            out +=
                "#EXT-X-PROGRAM-DATE-TIME:" +
                    this.segment.programDateTime.toISOString() +
                    "\n";
        }
        if (this.segment.discontinuity) {
            out += "#EXT-X-DISCONTINUITY\n";
        }
        if (this.segment.duration % 1 === 0) {
            duration = this.segment.duration.toFixed(1);
        }
        else {
            duration = this.segment.duration.toString();
        }
        out += "#EXTINF:" + duration + ",\n";
        if (this.segment.byterange) {
            out +=
                "#EXT-X-BYTERANGE:" +
                    this.segment.byterange.length +
                    "@" +
                    this.segment.byterange.offset +
                    "\n";
        }
        return out;
    }
}
exports.SegmentInfo = SegmentInfo;
